<template>
  <div class="multimediaBG">
    <div class="multimedia"
         :class="{'isshow' : list.isshow}" >
      <div
        @touchmove.prevent.stop="srcStart($event)"
        class="titleBG">
        <p class="cancel" @click="top('false')" >取消</p>
        <p class="confirm" @click="top('true')" >确定</p>
      </div>
      <div class="listBG" >
        <scroll-view scroll-y="true" style="height: 440rpx;">
          <ul
            class="list-data" >
            <li class="list-item" v-for="(item,index) in list.data" :key="item.name"
                @click.prevent.stop="listfunction(item)" :class="{'highlight' : item.highlight}">{{item.text}}</li>
          </ul>
        </scroll-view>

      </div>
    </div>
    <div
      @touchmove.prevent.stop="srcStart($event)"
      class="background"  @click="top('false')" :class="{'isshow' : list.isshow}" ></div>
  </div>
</template>

<script type="text/ecmascript-6">
  export default {
    data(){
      return{
        listTop : 0,
        top1 : 0
      }
    },
    props:{
      list:{
        default(){
          return{
            title:'请选择列表',
            isshow: true,
            single :false,
            data:[
              {
                highlight:false,
                text : '列表1'
              }
            ]
          }
        }
      }
    },
    methods:{
      srcStart(e){
        console.log(e);
      },
      listfunction(item){
        if(this.list.single){
          this.list.data.forEach((item2,index2)=>{
            item2.highlight = false;
          });
          item.highlight = true;
        }else{
          item.highlight = !item.highlight
        }
      },
      top(text){
         this.$emit('multimedia',text,this.list)
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
    outline: none;
  }
  *:not(input,textarea) {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
  }
  *{
    cursor:pointer;
  }
  .multimediaBG{
    height: 100%;
    .multimedia {
      position:fixed;
      z-index:2999;
      left:0;
      bottom: 0;
      width:100%;
      height: 5rem;
      transition:all 0.3s ease;
      transform:translateY(100%);
      background-color: #fff;
      .titleBG{
        padding: 0.15rem 0.3rem;
        color: #666;
        display: flex;
        border-bottom: 1px solid #f6f6f6;
        p{
          flex: 1;
          font-size: 0.32rem;
        }
        .cancel{
          text-align: left;
        }
        .confirm{
          text-align: right;
          color:#1aad19;
        }
      }
      .list-data{
        height: 4.4rem;
        transition:all 0.3s ease;
        .list-item{
          padding: 0 0.3rem;
          color: #666;
          text-align: center;
          font-size: 0.32rem;
          line-height: 0.8rem;
          height: 0.8rem;
          border-bottom: 1px solid #f6f6f6;
        }
        .highlight{
          color:#1aad19;
        }
      }
    }
    .background{

      transform:translateY(100%);
    }
    .isshow {
      transform:translateY(0%);
    }
  }
</style>
